summaryrefslogtreecommitdiffstats
path: root/modules/streams/radiotux
diff options
context:
space:
mode:
authorroot <root@krebs>2011-05-26 00:47:04 +0200
committerroot <root@krebs>2011-05-26 00:47:04 +0200
commitac196469e19255a6fad32c321f96f20aa0e55be1 (patch)
treec917c30b50a33236bd85df58f494ec9b63631f67 /modules/streams/radiotux
parent22f3b8ed47870ca653f44c1347ede0a152ffb457 (diff)
streams done right
deepmix,groovesalad and radiotux are now init.d scrips which can be started and stopped. scripts are dumped into /etc/init.d and groovesalad will be set as default via update-rc.d mplayer will be started in a tmux session either by creating a new session or starting a new window inside the first existing one
Diffstat (limited to 'modules/streams/radiotux')
-rwxr-xr-xmodules/streams/radiotux29
1 files changed, 29 insertions, 0 deletions
diff --git a/modules/streams/radiotux b/modules/streams/radiotux
new file mode 100755
index 00000000..9d671493
--- /dev/null
+++ b/modules/streams/radiotux
@@ -0,0 +1,29 @@
+#! /bin/bash
+set -euf
+function stop()
+{
+ pkill mplayer || true
+}
+
+CMD="while true; do exec mplayer http://streams.xenim.de/radiotux.ogg; sleep 1;done"
+case "$1" in
+ start)
+ stop
+ if tmux list-sessions;
+ then
+ tmux new-window "$CMD" &
+ else
+ tmux new-session "$CMD" &
+ fi
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ *)
+ echo "aidsballs"
+ ;;
+esac